Sync usage with man page.
[netbsd-mini2440.git] / gnu / dist / texinfo / makeinfo / tests / Makefile.in
blob2f70dbd9b6510dfde439f05e02f1bc1e7df27b0f
1 # Makefile.in generated by automake 1.9.4 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 # Id: Makefile.am,v 1.5 2004/04/11 17:56:47 karl Exp
18 # Makefile.am for texinfo/tests/makeinfo.
20 # This file is free software; as a special exception the author gives
21 # unlimited permission to copy and/or distribute it, with or without
22 # modifications, as long as this notice is preserved.
24 # This program is distributed in the hope that it will be useful, but
25 # WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
26 # implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
28 srcdir = @srcdir@
29 top_srcdir = @top_srcdir@
30 VPATH = @srcdir@
31 pkgdatadir = $(datadir)/@PACKAGE@
32 pkglibdir = $(libdir)/@PACKAGE@
33 pkgincludedir = $(includedir)/@PACKAGE@
34 top_builddir = ../..
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 INSTALL = @INSTALL@
37 install_sh_DATA = $(install_sh) -c -m 644
38 install_sh_PROGRAM = $(install_sh) -c
39 install_sh_SCRIPT = $(install_sh) -c
40 INSTALL_HEADER = $(INSTALL_DATA)
41 transform = $(program_transform_name)
42 NORMAL_INSTALL = :
43 PRE_INSTALL = :
44 POST_INSTALL = :
45 NORMAL_UNINSTALL = :
46 PRE_UNINSTALL = :
47 POST_UNINSTALL = :
48 build_triplet = @build@
49 host_triplet = @host@
50 subdir = makeinfo/tests
51 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
54 $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc21.m4 \
55 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
56 $(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
57 $(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
58 $(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
59 $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
60 $(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
61 $(top_srcdir)/m4/mkstemp.m4 $(top_srcdir)/m4/nls.m4 \
62 $(top_srcdir)/m4/onceonly_2_57.m4 $(top_srcdir)/m4/po.m4 \
63 $(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
64 $(top_srcdir)/m4/signed.m4 $(top_srcdir)/m4/size_max.m4 \
65 $(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/strcase.m4 \
66 $(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
67 $(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
68 $(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
69 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70 $(ACLOCAL_M4)
71 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
72 CONFIG_HEADER = $(top_builddir)/config.h
73 CONFIG_CLEAN_FILES =
74 SCRIPTS = $(noinst_SCRIPTS)
75 SOURCES =
76 DIST_SOURCES =
77 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78 ACLOCAL = @ACLOCAL@
79 ALLOCA = @ALLOCA@
80 AMDEP_FALSE = @AMDEP_FALSE@
81 AMDEP_TRUE = @AMDEP_TRUE@
82 AMTAR = @AMTAR@
83 AUTOCONF = @AUTOCONF@
84 AUTOHEADER = @AUTOHEADER@
85 AUTOMAKE = @AUTOMAKE@
86 AWK = @AWK@
87 BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
88 CATOBJEXT = @CATOBJEXT@
89 CC = @CC@
90 CCDEPMODE = @CCDEPMODE@
91 CFLAGS = @CFLAGS@
92 CPP = @CPP@
93 CPPFLAGS = @CPPFLAGS@
94 CYGPATH_W = @CYGPATH_W@
95 DATADIRNAME = @DATADIRNAME@
96 DEFS = @DEFS@
97 DEPDIR = @DEPDIR@
98 ECHO_C = @ECHO_C@
99 ECHO_N = @ECHO_N@
100 ECHO_T = @ECHO_T@
101 EGREP = @EGREP@
102 EXEEXT = @EXEEXT@
103 GENCAT = @GENCAT@
104 GLIBC21 = @GLIBC21@
105 GMSGFMT = @GMSGFMT@
106 HAVE_ASPRINTF = @HAVE_ASPRINTF@
107 HAVE_POSIX_PRINTF = @HAVE_POSIX_PRINTF@
108 HAVE_SNPRINTF = @HAVE_SNPRINTF@
109 HAVE_WPRINTF = @HAVE_WPRINTF@
110 HELP2MAN = @HELP2MAN@
111 INSTALL_DATA = @INSTALL_DATA@
112 INSTALL_PROGRAM = @INSTALL_PROGRAM@
113 INSTALL_SCRIPT = @INSTALL_SCRIPT@
114 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
115 INSTALL_WARNINGS_FALSE = @INSTALL_WARNINGS_FALSE@
116 INSTALL_WARNINGS_TRUE = @INSTALL_WARNINGS_TRUE@
117 INSTOBJEXT = @INSTOBJEXT@
118 INTLBISON = @INTLBISON@
119 INTLLIBS = @INTLLIBS@
120 INTLOBJS = @INTLOBJS@
121 INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
122 LDFLAGS = @LDFLAGS@
123 LIBICONV = @LIBICONV@
124 LIBINTL = @LIBINTL@
125 LIBOBJS = @LIBOBJS@
126 LIBS = @LIBS@
127 LTLIBICONV = @LTLIBICONV@
128 LTLIBINTL = @LTLIBINTL@
129 LTLIBOBJS = @LTLIBOBJS@
130 MAINT = @MAINT@
131 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
132 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
133 MAKEINFO = @MAKEINFO@
134 MKINSTALLDIRS = @MKINSTALLDIRS@
135 MSGFMT = @MSGFMT@
136 MSGMERGE = @MSGMERGE@
137 OBJEXT = @OBJEXT@
138 PACKAGE = @PACKAGE@
139 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
140 PACKAGE_NAME = @PACKAGE_NAME@
141 PACKAGE_STRING = @PACKAGE_STRING@
142 PACKAGE_TARNAME = @PACKAGE_TARNAME@
143 PACKAGE_VERSION = @PACKAGE_VERSION@
144 PATH_SEPARATOR = @PATH_SEPARATOR@
145 POSUB = @POSUB@
146 RANLIB = @RANLIB@
147 SET_MAKE = @SET_MAKE@
148 SHELL = @SHELL@
149 STRIP = @STRIP@
150 TERMLIBS = @TERMLIBS@
151 TOOLS_ONLY_FALSE = @TOOLS_ONLY_FALSE@
152 TOOLS_ONLY_TRUE = @TOOLS_ONLY_TRUE@
153 USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
154 USE_NLS = @USE_NLS@
155 VERSION = @VERSION@
156 XGETTEXT = @XGETTEXT@
157 ac_ct_CC = @ac_ct_CC@
158 ac_ct_RANLIB = @ac_ct_RANLIB@
159 ac_ct_STRIP = @ac_ct_STRIP@
160 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
161 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
162 am__include = @am__include@
163 am__leading_dot = @am__leading_dot@
164 am__quote = @am__quote@
165 am__tar = @am__tar@
166 am__untar = @am__untar@
167 bindir = @bindir@
168 build = @build@
169 build_alias = @build_alias@
170 build_cpu = @build_cpu@
171 build_os = @build_os@
172 build_vendor = @build_vendor@
173 datadir = @datadir@
174 exec_prefix = @exec_prefix@
175 host = @host@
176 host_alias = @host_alias@
177 host_cpu = @host_cpu@
178 host_os = @host_os@
179 host_vendor = @host_vendor@
180 includedir = @includedir@
181 infodir = @infodir@
182 install_sh = @install_sh@
183 libdir = @libdir@
184 libexecdir = @libexecdir@
185 localstatedir = @localstatedir@
186 mandir = @mandir@
187 mkdir_p = @mkdir_p@
188 native_tools = @native_tools@
189 oldincludedir = @oldincludedir@
190 prefix = @prefix@
191 program_transform_name = @program_transform_name@
192 sbindir = @sbindir@
193 sharedstatedir = @sharedstatedir@
194 sysconfdir = @sysconfdir@
195 target_alias = @target_alias@
196 TESTS = accent accentenc \
197 cond \
198 copying \
199 defxcond \
200 html-docdesc html-extrali html-min html-manuals html-para html-title \
201 html-top \
202 include-value \
203 macro-at menu-whitespace \
204 no-headers \
205 node-expand node-value node-whitespace \
206 top \
207 twofiles
209 noinst_SCRIPTS = $(TESTS)
210 EXTRA_DIST = $(noinst_SCRIPTS) \
211 accent.txi accentenc.txi accent-text.txi \
212 cond.txi copying.txi \
213 defxcond.txi \
214 html-docdesc.txi html-extrali.txi html-min.txi html-para.txi html-title.txi \
215 html-top.txi \
216 include-value.txi incl-incl.txi \
217 macro-at.txi menu-whitespace.txi \
218 node-expand.txi node-value.txi node-whitespace.txi \
219 top.txi # top2.txi
221 all: all-am
223 .SUFFIXES:
224 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
225 @for dep in $?; do \
226 case '$(am__configure_deps)' in \
227 *$$dep*) \
228 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
229 && exit 0; \
230 exit 1;; \
231 esac; \
232 done; \
233 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu makeinfo/tests/Makefile'; \
234 cd $(top_srcdir) && \
235 $(AUTOMAKE) --gnu makeinfo/tests/Makefile
236 .PRECIOUS: Makefile
237 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
238 @case '$?' in \
239 *config.status*) \
240 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
241 *) \
242 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
243 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
244 esac;
246 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
247 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
249 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
250 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
251 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
252 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
253 uninstall-info-am:
254 tags: TAGS
255 TAGS:
257 ctags: CTAGS
258 CTAGS:
261 check-TESTS: $(TESTS)
262 @failed=0; all=0; xfail=0; xpass=0; skip=0; \
263 srcdir=$(srcdir); export srcdir; \
264 list='$(TESTS)'; \
265 if test -n "$$list"; then \
266 for tst in $$list; do \
267 if test -f ./$$tst; then dir=./; \
268 elif test -f $$tst; then dir=; \
269 else dir="$(srcdir)/"; fi; \
270 if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
271 all=`expr $$all + 1`; \
272 case " $(XFAIL_TESTS) " in \
273 *" $$tst "*) \
274 xpass=`expr $$xpass + 1`; \
275 failed=`expr $$failed + 1`; \
276 echo "XPASS: $$tst"; \
277 ;; \
278 *) \
279 echo "PASS: $$tst"; \
280 ;; \
281 esac; \
282 elif test $$? -ne 77; then \
283 all=`expr $$all + 1`; \
284 case " $(XFAIL_TESTS) " in \
285 *" $$tst "*) \
286 xfail=`expr $$xfail + 1`; \
287 echo "XFAIL: $$tst"; \
288 ;; \
289 *) \
290 failed=`expr $$failed + 1`; \
291 echo "FAIL: $$tst"; \
292 ;; \
293 esac; \
294 else \
295 skip=`expr $$skip + 1`; \
296 echo "SKIP: $$tst"; \
297 fi; \
298 done; \
299 if test "$$failed" -eq 0; then \
300 if test "$$xfail" -eq 0; then \
301 banner="All $$all tests passed"; \
302 else \
303 banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
304 fi; \
305 else \
306 if test "$$xpass" -eq 0; then \
307 banner="$$failed of $$all tests failed"; \
308 else \
309 banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
310 fi; \
311 fi; \
312 dashes="$$banner"; \
313 skipped=""; \
314 if test "$$skip" -ne 0; then \
315 skipped="($$skip tests were not run)"; \
316 test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
317 dashes="$$skipped"; \
318 fi; \
319 report=""; \
320 if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
321 report="Please report to $(PACKAGE_BUGREPORT)"; \
322 test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
323 dashes="$$report"; \
324 fi; \
325 dashes=`echo "$$dashes" | sed s/./=/g`; \
326 echo "$$dashes"; \
327 echo "$$banner"; \
328 test -z "$$skipped" || echo "$$skipped"; \
329 test -z "$$report" || echo "$$report"; \
330 echo "$$dashes"; \
331 test "$$failed" -eq 0; \
332 else :; fi
334 distdir: $(DISTFILES)
335 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
336 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
337 list='$(DISTFILES)'; for file in $$list; do \
338 case $$file in \
339 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
340 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
341 esac; \
342 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
343 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
344 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
345 dir="/$$dir"; \
346 $(mkdir_p) "$(distdir)$$dir"; \
347 else \
348 dir=''; \
349 fi; \
350 if test -d $$d/$$file; then \
351 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
352 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
353 fi; \
354 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
355 else \
356 test -f $(distdir)/$$file \
357 || cp -p $$d/$$file $(distdir)/$$file \
358 || exit 1; \
359 fi; \
360 done
361 check-am: all-am
362 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
363 check: check-am
364 all-am: Makefile $(SCRIPTS)
365 installdirs:
366 install: install-am
367 install-exec: install-exec-am
368 install-data: install-data-am
369 uninstall: uninstall-am
371 install-am: all-am
372 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
374 installcheck: installcheck-am
375 install-strip:
376 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
377 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
378 `test -z '$(STRIP)' || \
379 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
380 mostlyclean-generic:
382 clean-generic:
384 distclean-generic:
385 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
387 maintainer-clean-generic:
388 @echo "This command is intended for maintainers to use"
389 @echo "it deletes files that may require special tools to rebuild."
390 clean: clean-am
392 clean-am: clean-generic mostlyclean-am
394 distclean: distclean-am
395 -rm -f Makefile
396 distclean-am: clean-am distclean-generic
398 dvi: dvi-am
400 dvi-am:
402 html: html-am
404 info: info-am
406 info-am:
408 install-data-am:
410 install-exec-am:
412 install-info: install-info-am
414 install-man:
416 installcheck-am:
418 maintainer-clean: maintainer-clean-am
419 -rm -f Makefile
420 maintainer-clean-am: distclean-am maintainer-clean-generic
422 mostlyclean: mostlyclean-am
424 mostlyclean-am: mostlyclean-generic
426 pdf: pdf-am
428 pdf-am:
430 ps: ps-am
432 ps-am:
434 uninstall-am: uninstall-info-am
436 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
437 distclean distclean-generic distdir dvi dvi-am html html-am \
438 info info-am install install-am install-data install-data-am \
439 install-exec install-exec-am install-info install-info-am \
440 install-man install-strip installcheck installcheck-am \
441 installdirs maintainer-clean maintainer-clean-generic \
442 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
443 uninstall-am uninstall-info-am
445 # Tell versions [3.59,3.63) of GNU make to not export all variables.
446 # Otherwise a system limit (for SysV at least) may be exceeded.
447 .NOEXPORT: